/*
	Nabaztag API
	Copyright 2007 Shannon Hicks
	http://www.iotashan.com/nabaztagexplorer/
	
	Released for use under GPL v2
	http://www.gnu.org/copyleft/gpl.html
*/
package org.iotashan.nabaztagAPI
{
	import flash.events.Event;

	/**
	 * The NabaztagAPIResultEvent is used to caputre
	 * the XML results from API calls to the Nabaztag
	 * servers
	*/
	public class NabaztagAPIResultEvent extends Event
	{
		/**
		 * The default result XML.
		 *
		 * @default null 
		*/
		public var result:XML;
		
		/**
		 * Constructor method.
		*/
		public function NabaztagAPIResultEvent(result:XML, type:String="apiResult", bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			
			this.result = result;
		}
		
		/**
		 * Override of the clone() method.
		 * We have to do this because the constructor
		 * is different than for a standard Event
		 * 
		 * @return Returns a new copy of this event.
		*/
		override public function clone():Event {
			return new NabaztagAPIResultEvent(result,type,bubbles,cancelable);
		}
	}
}