/*
	Nabaztag API
	Copyright 2007 Shannon Hicks
	http://www.iotashan.com/nabaztagexplorer/
	
	Released for use under GPL v2
	http://www.gnu.org/copyleft/gpl.html
*/
package org.iotashan.nabaztagAPI {
	/**
	 * Parent class for different choreography command types.
	*/
	public class NabaztagChoreographyCommand {
		private var _command:String;
		private var _startTime:Number;
		
		/**
		 * Constructor method.
		*/
		public function NabaztagChoreographyCommand(command:String,startTime:Number) {
			_command = command;
			_startTime = startTime;
		}
		
		// getter/setter methods
		/**
		 * String that determines what type of command this is.
		*/
		public function get command():String {
			return _command;
		}
		
		/**
		 * @private
		*/
		public function set command(value:String):void {
			_command = value;
		}
		
		/**
		 * Starting time of this command, in "beats" specified by the tempo. 
		 * This time is expressed by the number of beats that have elapsed  
		 * from the beginning of the choreography to the desired event. 
		 * A start time of 0 would be the first command.
		*/
		public function get startTime():Number {
			return _startTime;
		}
		
		/**
		 * @private
		*/
		public function set startTime(value:Number):void {
			_startTime = value;
		}
		
		/**
		 * This is just a placehoder for the real getCommand() methods
		 * in classes that extend this class.
		*/
		public function getCommand():String {
			return null;
		}
	}
}